# QTime Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QTime()
- void QTime(int h, int m, int s, int ms)

### Constructor Properties

- prototype: The QTime prototype object
- QTime currentTime()
- QTime fromString(String s, DateFormat f)
- bool isValid(int h, int m, int s, int ms)

### Prototype Object Properties

- QTime addMSecs(int ms)
- QTime addSecs(int secs)
- int elapsed()
- int hour()
- bool isNull()
- bool isValid()
- int minute()
- int msec()
- int msecsTo(QTime arg__1)
- bool operator_equal(QTime other)
- bool operator_less(QTime other)
- void readFrom(QDataStream arg__1)
- int restart()
- int second()
- int secsTo(QTime arg__1)
- bool setHMS(int h, int m, int s, int ms)
- void start()
- String toString(DateFormat f)
- void writeTo(QDataStream arg__1)

### Instance Properties

QTime objects have no special properties beyond those inherited from the QTime prototype object.